import { ActionCreator, ActionType, ReducerTypes } from "@ngrx/store";
import { Draft } from "immer";
export declare type ProduceOnReducer<S, C extends ActionCreator[], D = Draft<S>> = (state: D, action: ActionType<C[number]>) => void | D;
export declare function produceOn<S, Creators extends ActionCreator[]>(...args: [...creators: Creators, reducer: ProduceOnReducer<S, Creators>]): ReducerTypes<S, Creators>;
