import { Selector } from "@ngrx/store";
import { Segmenter } from "./config";
import { History, HistoryKey, UndoRedoState } from "./undo-redo.state";
export declare type HistoryProps = {
    key: HistoryKey;
};
export declare const createHistorySelectors: <T, V extends UndoRedoState>(selector: Selector<T, V>, segmenter?: Segmenter<V>) => {
    selectHistory: import("@ngrx/store").MemoizedSelector<T, History, import("@ngrx/store").DefaultProjectorFn<History>>;
    selectCanUndo: import("@ngrx/store").MemoizedSelector<T, boolean, import("@ngrx/store").DefaultProjectorFn<boolean>>;
    selectCanRedo: import("@ngrx/store").MemoizedSelector<T, boolean, import("@ngrx/store").DefaultProjectorFn<boolean>>;
};
